Page MenuHomePhabricator

Deploy BayesianFilter Extension
Closed, InvalidPublic

Description

Author: anubhav914

Description:
Currently it just registers undo and rollback edits. I have provided a checkbox to people to mark the edit as spam.

Repo is at mediawiki/extensions/BayesianFilter
You can clone with
git clone ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/BayesianFilter
or
git clone https://gerrit.wikimedia.org/r/mediawiki/extensions/BayesianFilter

I wanted to collect some data so that it I can start analysis on them


Version: unspecified
Severity: enhancement
Whiteboard: aklapper-moreinfo

Details

Reference
bz52574

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:55 AM
bzimport set Reference to bz52574.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Aug 6 2013, 9:22 AM

anubhav914 wrote:

I want a sysop/admin to install it on mediawiki so I can start pulling up some data

Anybody maintaining it should create http://www.mediawiki.org/wiki/Extension:BayesianFilter first; and request a Bugzilla component, see https://www.mediawiki.org/wiki/Bug_management/Project_Maintainers#To_add_a_project_or_component

Afterwards, see http://www.mediawiki.org/wiki/Review_queue for which steps are required first before deploying.

However, what is the *exact* usecase? ("Analyse some data" is not an exact usecase.)
If only one (=you) out of half a billion users will use it, then this sounds like a WONTFIX to me. :)

greg added a comment.Sep 5 2013, 9:03 PM

Hello, this is a quasi-automated-but-not-really message:

I am reviewing all tracking bugs for extensions to review and deploy to WMF servers. See the list here:
https://bugzilla.wikimedia.org/showdependencytree.cgi?id=31235&hide_resolved=1

The [[mw:Review queue]] page lists the steps necessary to complete the review. I have copied them below and done some initial filling out based on what I can easily gleen from this bug and any linked to sources that are obvious. If I miss something/state something false, please do correct me.

Also, if you haven't yet done so, please review the information on and linked to from:
https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment

TODO/Check list

Extension page on mediawiki.org: no
Bugzilla component: no
Extension in Gerrit: yes
Design Review: no?
Archeticecture/Performance Review: no
Security Review: no
Screencast (if applicable): no
Community support: no

anubhav: On which site do you want to see this deployed? Is there any community consensus to point to?

Currently this ticket is not actionable and would be closed soon. :-(

Does this extension works for non-English wikis?

No community consensus provided; no information provided which exact wiki this refers to. Closing as INVALID for the time being.

anubhav: Feel free to provide missing information here.